Subject: RE: [rohc] Short summary of the new ROHCv2 profiles: draft-pelletier-rohc-rohcv2-profiles-00.txt

From: "Kristofer Sandlund \(LU/EAB\)" <[email-masked]>
Date: Tue, 27 Jun 2006 10:13:02 +0200

Hi Carl,

this is handled by the CONTROL section, where you have:

    ts_offset =:=
        field_scaling(ts_stride.UVALUE, ts_scaled.UVALUE,
                      timestamp.UVALUE) [ 32 ];

Since this is in the CONTROL section, this encoding method will
always be used, and if you look into field_scaling, you will see
that it will perform bindings on both ts_scaled and timestamp.
So in the case of pt_1_rnd, you ts_scaled is already bound by the 
lsb-encoding, and then field_scaling will bind timestamp, and if
you have a format with an unscaled, the opposite will happen.

The DEFAULT for timestamp will not be used in this case, since 
field_scaling will bind the UVALUE for timestamp.
The not-yet-announced FN draft contains a better explanation of when
DEFAULTs are used or not used, so hopefully that will help out with
the understanding as well.

Hope this helps.

/Kristofer 

Carl Knutsson wrote:

> Hi Ghyslain and Kristofer,
> 
> I have a question about the formal notation in  the  ROHCv2
> profile drafts.
> I can't find the coding method for the timestamp field for
> some of the
> compressed packets in the RTP profile and UDP Lite/RTP profile.
> 
>  From draft:
> UNCOMPRESSED {
>     timestamp [32]
> }
> 
> DEFAULT {
>     timestamp =:= static;
> }
> 
> COMPRESSED pt_1_rnd {
>     ts_scaled =:= lsb(3, 4)
> }
> 
> Shouldn't there be a relationship between the timestamp and the
> ts_scaled in the formal notation above?
> A encoding  method for the formula: timestamp = ts_offset +
> delta msn *
> ts_stride.
> 
> I get the impression from the formal notation for pt_1_rnd that the
> time_stamp is static. Is there something I have missed?
> 
> //Carl Knutsson
> 

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc